Subject: Re: [linux-pm] [PATCH 02/12] powermac: support G5 CPU hotplug

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 09 Feb 2007 09:33:32 +1100

> Are you sure this is necessary?  IIRC, the if (!cpu_is_offline(cpu)) a
> little bit further down is there to cope with this exact situation.
> And cpu hotplug already works on G4 SMP powermacs, where we can't
> physically remove the cpu either - we just put it into sleep mode with
> interrupts disabled, which is what we would be doing on a G5 powermac
> also.

I've always had doubts about wether SLEEP with EE off was legal and
wouldn't actually still go out of sleep when getting an interrupt... In
that case, at least on CPUs where the DEC acts "level" triggered, we
need to at least reset the DEC to some sane value.

Ben.